
TYPO3 Flow Base Distribution - Bug # 49007

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2013-06-10 Assigned To: Christian Müller
Updated: 2013-06-24 Due date:
Affected Flow version: (any)
Subject: Flows doctrine implementation creates too long identifiers for databases with maxIdentifierLengeth < 31
Description

Associated revisions
Revision 89db1038 - 2013-06-24 14:20 - Robert Lemke 

[BUGFIX] ORM fails on databases with low maximum length for table names

This fixes a bug that creates too long database identifiers on
systems where maxIdentifierLength is less than 31 as Oracle has.

This patch fixes the bug in a backwards compatible way.

Change-Id: I1fa21a56fd048d987ff1aeaddf36c21e39bff2cb
Releases: master, 2.0
Fixes: #49007

Revision e7f4df66 - 2013-06-24 14:26 - Robert Lemke 

[BUGFIX] ORM fails on databases with low maximum length for table names

This fixes a bug that creates too long database identifiers on
systems where maxIdentifierLength is less than 31 as Oracle has.

This patch fixes the bug in a backwards compatible way.

Change-Id: I1fa21a56fd048d987ff1aeaddf36c21e39bff2cb
Releases: master, 2.0
Fixes: #49007

History
#1 - 2013-06-10 18:50 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21327

#2 - 2013-06-24 14:11 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/21630

#3 - 2013-06-24 14:20 - Gerrit Code Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/21630

#4 - 2013-06-24 14:27 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21327

#5 - 2013-06-24 14:38 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:89db1038abee37e2c39a434df82bda0970faed04.
